Subject: [bug#64961] [PATCH] gnu: emacs-mastodon: Update to 1.0.0-1.20dec88.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 Sep 2023 23:54:06 +0200

Hi Cayetano,

Cayetano Santos <[email-masked]> skribis:

>>dim. 20 août 2023 at 23:20, Ludovic Courtès <[email-masked]> wrote:
>
>> Hi Cayetano,
>>
>> Cayetano Santos <[email-masked]> skribis:
>>
>>> * gnu/packages/emacs-xyz.scm (emacs-mastodon): Update to 1.0.0-1.20dec88.
>>
>> [...]
>>
>>> +  (let ((commit "20dec8871c9bb5f5e418bfc197e7533b5e3065e3")
>>> +        (revision "1"))
>>> +    (package
>>> +      (name "emacs-mastodon")
>>> +      (version (git-version "1.0.0" revision commit))
>>
>> Normally we only package releases, unless there’s a good reason to grab
>> a snapshot, in which case there should be a comment explaining it.
>>
>> What’s the situation here?
>
> Nothing special here, other than the fact that latest stable is from
> more than one year ago.

OK.  I went ahead and applied the patch (there’s not a lot at stake in
this case anyway).

> In my opinion, we should debate this question once for ever in a broader
> discussion about emacs packages (guix-devel?): what do we package ?
> only stables (obsolete packages, see emacs-org-ref) ? always master (we
> run after latest commit) ? something in between (current situation) ?

The question’s not really up for debate in that the policy is to choose
releases, unless there’s a good reason not to do so.  But…

> As for now, it is stated that we privilege releases ... except that
> emacs-xyz is full of snapshots, and for a good reason (case of magit,
> etc.), probably due to releases being too old (author just forgets
> releasing).

… you’re right of course.  The situation of Emacs packages is a bit
special I guess, and it would be worth clarifying that somehow.  Please
feel free to launch the discussion on guix-devel!

Thanks,
Ludo’.